Bug 13915 - DEBUGC and DEBUGADDC doesn't print into a class specific log file
DEBUGC and DEBUGADDC doesn't print into a class specific log file
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.10.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-26 11:47 UTC by Stefan Metzmacher
Modified: 2019-08-09 07:54 UTC (History)
2 users (show)

See Also:


Attachments
Patches for v4-9-test (only 2 commits of 3) (2.63 KB, patch)
2019-07-02 07:47 UTC, Stefan Metzmacher
slow: review+
Details
Patches for v4-10-test (5.53 KB, patch)
2019-07-02 07:48 UTC, Stefan Metzmacher
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2019-04-26 11:47:32 UTC
Things like:

log level = 1 dsdb_json_audit:10@/var/log/samba/log.dsdb_json_audit

or

log level = 1 dsdb_audit:10@/var/log/samba/log.dsdb_audit

doesn't work as expected the message are written into
/var/log/samba/log.samba instead of the specified file.
Comment 1 Stefan Metzmacher 2019-04-26 14:38:39 UTC
Should we also print into the log file, when using cmdline tools like
ldbedit, 'samba-tool'... Otherwise it's impossible to have a complete audit
of all changes...
Comment 2 Stefan Metzmacher 2019-07-02 07:47:33 UTC
Created attachment 15276 [details]
Patches for v4-9-test (only 2 commits of 3)
Comment 3 Stefan Metzmacher 2019-07-02 07:48:14 UTC
Created attachment 15277 [details]
Patches for v4-10-test
Comment 4 Ralph Böhme 2019-07-30 11:17:57 UTC
Reassigning to Karolin for inclusion in 4.9 and 4.10
Comment 5 Karolin Seeger 2019-08-06 08:00:20 UTC
(In reply to Ralph Böhme from comment #4)
Pushed to autobuild-v4-{10,9}-test.
Comment 6 Karolin Seeger 2019-08-09 07:54:23 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!